Remove an organization member (staff)
DELETE /api/organizations/members/{id}. Remove an organization member (staff). Headless LMS Organizations API reference.
Owner or admin only. Removing a pending member cancels their invite. The owner cannot be removed (409).
Path Parameters
id*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/api/organizations/members/string"null{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Change a member's role (staff) PATCH
PATCH /api/organizations/members/{id}/role. Change a member's role (staff). Headless LMS Organizations API reference.
Invite a member or student into the active organization (staff) POST
POST /api/organizations/invites. Invite a member or student into the active organization (staff). Headless LMS Organizations API reference.